| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::phase_unwrapping::PhaseUnwrapping Class Referenceabstract
Phase Unwrapping API

Abstract base class for phase unwrapping. More...

`#include "phase_unwrapping.hpp"`

Inheritance diagram for cv::phase_unwrapping::PhaseUnwrapping:

## Public Member Functions
virtual void | unwrapPhaseMap (InputArray wrappedPhaseMap, OutputArray unwrappedPhaseMap, InputArray shadowMask=noArray())=0
| Unwraps a 2D phase map. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Abstract base class for phase unwrapping.

## Member Function Documentation

## § unwrapPhaseMap()

virtual void cv::phase_unwrapping::PhaseUnwrapping::unwrapPhaseMap | ( | InputArray | wrappedPhaseMap,
|  | OutputArray | unwrappedPhaseMap,
|  | InputArray | shadowMask = `noArray()`
| ) |  |
| pure virtual

Python:
| unwrappedPhaseMap | = | cv.phase_unwrapping_PhaseUnwrapping.unwrapPhaseMap( | wrappedPhaseMap[, unwrappedPhaseMap[, shadowMask]] | )

Unwraps a 2D phase map.

Parameters

  wrappedPhaseMap | The wrapped phase map that needs to be unwrapped.
  unwrappedPhaseMap | The unwrapped phase map.
  shadowMask | Optional parameter used when some pixels do not hold any phase information in the wrapped phase map.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/phase_unwrapping/include/opencv2/phase_unwrapping/phase_unwrapping.hpp